# flatpak remote-modify

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak remote-modify
1

# flatpak-remote-modify

Modify a remote repository

                    flatpak remote-modify
                    OPTION
                    NAME

## Description

Modifies options for an existing remote repository in the flatpak repository configuration. NAME is the name for the remote.

Unless overridden with the `--system`, `--user`, or `--installation` options, this command uses either the default system-wide installation or the per-user one, depending on which has the specified REMOTE.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-u`
`--user`

  Modify the per-user configuration.

`--system`

  Modify the default system-wide configuration.

`--installation=NAME`

  Modify a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using `--installation=default` is equivalent to using `--system`.

`--no-gpg-verify`

  Disable GPG verification for the added remote.

`--gpg-verify`

  Enable GPG verification for the added remote.

`--prio=PRIO`

  Set the priority for the remote. Default is 1, higher is more prioritized. This is mainly used for graphical installation tools.

`--subset=SUBSET`

  Limit the refs available from the remote to those that are part of the named subset.

`--no-enumerate`

  Mark the remote as not enumerated. This means the remote will not be used to list applications, for instance in graphical installation tools. It will also not be used for runtime dependency resolution (as with `--no-use-for-deps`).

`--no-use-for-deps`

  Mark the remote as not to be used for automatic runtime dependency resolution.

`--disable`

  Disable the remote. Disabled remotes will not be automatically updated from.

`--enable`

  Enable the remote.

`--enumerate`

  Mark the remote as enumerated. This means the remote will be used to list applications, for instance in graphical installation tools.

`--use-for-deps`

  Mark the remote as to be used for automatic runtime dependency resolution.

`--title=TITLE`

  A title for the remote, e.g. for display in a UI.

`--comment=COMMENT`

  A single-line comment for the remote, e.g. for display in a UI.

`--description=DESCRIPTION`

  A full-paragraph description for the remote, e.g. for display in a UI.

`--homepage=URL`

  URL for a website for the remote, e.g. for display in a UI.

`--icon=URL`

  URL for an icon for the remote, e.g. for display in a UI.

`--default-branch=BRANCH`

  A default branch for the remote, mainly for use in a UI.

`--collection-id=COLLECTION-ID`

  The globally unique identifier of the remote repository, to allow mirrors to be grouped. This must only be set to the collection ID provided by the remote, and must not be set if the remote does not provide a collection ID.

`--url=URL`

  Set a new URL.

`--update-metadata`

  Update the remote's extra metadata from the OSTree repository's summary file. Only xa.title and xa.default-branch are supported at the moment.

`--no-filter`
`--filter=FILE`

  Modify the path (or unset) for the local filter used for this remote. See flatpak-remote-add 1 for details about the filter file format.

`--gpg-import=FILE`

  Import gpg keys from the specified keyring file as trusted for the new remote. If the file is - the keyring is read from standard input.

`--authenticator-name=NAME`

  Specify the authenticator to use for the remote.

`--authenticator-option=KEY=VALUE`

  Specify an authenticator option for the remote.

`--authenticator-install`

  Enable auto-installation of authenticator.

`--no-authenticator-install`

  Disable auto-installation of authenticator.

`--follow-redirect`

  Follow xa.redirect-url defined in the summary file.

`--no-follow-redirect`

  Do not follow xa.redirect-url defined in the summary file.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak --user remote-modify --no-gpg-verify test-repo`

## See also

flatpak 1, flatpak-remote-add 1, flatpak-remote-delete 1, flatpak-remotes 1